package com.cim.idm.wmspackage.productshiprequest.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class ProductShipRequest extends FieldAccessor implements
		DataInfo<ProductShipRequestKey> {

	private ProductShipRequestKey key;
	
	private String shipRequestState; //A shiprequest state. [ Created | Reserved | Confirmed | Completed ]
	private String oldShipRequestState; //A old shiprequest state.
	//private String invoiceType; //A invoice type. [ NP (Normal Product) / RT / ETC ]
	//private String invoiceDetailType; //A invoice detail type.
	private String shipRequestType; //zl add,A invoice type. [ NP (Normal Product) / RT / ETC ]
	public String getShipRequestDetailType() {
		return shipRequestDetailType;
	}

	public void setShipRequestDetailType(String shipRequestDetailType) {
		this.shipRequestDetailType = shipRequestDetailType;
	}

	public String getDeliveryType() {
		return deliveryType;
	}

	public void setDeliveryType(String deliveryType) {
		this.deliveryType = deliveryType;
	}

	private String shipRequestDetailType; //zl add,A invoice detail type.
	private String customerNo; //A customner name.
	//private String shipRequestType; //A ship request type. [ Reserve | Delivery ]
	private String deliveryType; //zl add,A ship request type. [ Reserve | Delivery ]
	private Timestamp shipPlanDate; //A ship plan date.

	private String lastEventName;
	private String lastEventTimeKey;
	private Timestamp lastEventTime;
	private String lastEventUser;
	private String lastEventComment;
	
	@Override
	public ProductShipRequestKey getKey() {
		return key;
	}

	@Override
	public void setKey(ProductShipRequestKey key) {
		this.key = key;
	}

	public String getShipRequestState() {
		return shipRequestState;
	}

	public void setShipRequestState(String shipRequestState) {
		this.shipRequestState = shipRequestState;
	}

	public String getOldShipRequestState() {
		return oldShipRequestState;
	}

	public void setOldShipRequestState(String oldShipRequestState) {
		this.oldShipRequestState = oldShipRequestState;
	}

//	public String getInvoiceType() {
//		return invoiceType;
//	}
//
//	public void setInvoiceType(String invoiceType) {
//		this.invoiceType = invoiceType;
//	}
//
//	public String getInvoiceDetailType() {
//		return invoiceDetailType;
//	}
//
//	public void setInvoiceDetailType(String invoiceDetailType) {
//		this.invoiceDetailType = invoiceDetailType;
//	}

	public String getCustomerNo() {
		return customerNo;
	}

	public void setCustomerNo(String customerNo) {
		this.customerNo = customerNo;
	}

	public String getShipRequestType() {
		return shipRequestType;
	}

	public void setShipRequestType(String shipRequestType) {
		this.shipRequestType = shipRequestType;
	}

	public Timestamp getShipPlanDate() {
		return shipPlanDate;
	}

	public void setShipPlanDate(Timestamp shipPlanDate) {
		this.shipPlanDate = shipPlanDate;
	}

	public String getLastEventName() {
		return lastEventName;
	}

	public void setLastEventName(String lastEventName) {
		this.lastEventName = lastEventName;
	}

	public String getLastEventTimeKey() {
		return lastEventTimeKey;
	}

	public void setLastEventTimeKey(String lastEventTimeKey) {
		this.lastEventTimeKey = lastEventTimeKey;
	}

	public Timestamp getLastEventTime() {
		return lastEventTime;
	}

	public void setLastEventTime(Timestamp lastEventTime) {
		this.lastEventTime = lastEventTime;
	}

	public String getLastEventUser() {
		return lastEventUser;
	}

	public void setLastEventUser(String lastEventUser) {
		this.lastEventUser = lastEventUser;
	}

	public String getLastEventComment() {
		return lastEventComment;
	}

	public void setLastEventComment(String lastEventComment) {
		this.lastEventComment = lastEventComment;
	}

	
}
